Name:    okteta
Summary: Binary/hex editor
Version: 4.11.3
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     http://www.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= %{version}

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Conflicts:      kdesdk-common < 4.10.80
Obsoletes:      kdesdk-okteta < 4.10.80
Provides:       kdesdk-okteta = %{version}-%{release}


%description
Okteta is a binary/hex editor for KDE

%package libs
Summary: Runtime libraries for %{name}
Obsoletes: kdesdk-okteta-libs < 4.10.80
Provides:  kdesdk-okteta-libs = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Developer files for %{name}
Obsoletes: kdesdk-okteta-devel < 4.10.80
Provides:  kdesdk-okteta-devel = %{version}-%{release}
Requires:  %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang okteta --with-kde --without-mo

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:
fi


%files -f okteta.lang
%doc COPYING* README
%{_kde4_bindir}/okteta
%{_kde4_bindir}/struct2osd.sh
%{_kde4_appsdir}/okteta/
%{_kde4_appsdir}/oktetapart/
%{_kde4_datadir}/mime/packages/okteta.xml
%{_kde4_libdir}/kde4/oktetapart.so
%{_kde4_datadir}/applications/kde4/okteta.desktop
%{_kde4_datadir}/config/okteta-structures.knsrc
%{_kde4_iconsdir}/hicolor/*/apps/okteta.*
%{_kde4_datadir}/kde4/services/oktetapart.desktop
%{_kde4_libdir}/kde4/libkbytearrayedit.so
%{_kde4_datadir}/kde4/services/kbytearrayedit.desktop
%{_kde4_datadir}/config.kcfg/structviewpreferences.kcfg

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkasten*.so.*
%{_kde4_libdir}/libokteta*.so.*
%{_kde4_libdir}/kde4/plugins/designer/oktetadesignerplugin.so

%files devel
%{_kde4_includedir}/KDE/Okteta*/
%{_kde4_includedir}/okteta*/
%{_kde4_libdir}/libokteta*.so
%{_kde4_includedir}/KDE/Kasten*/
%{_kde4_includedir}/kasten*/
%{_kde4_libdir}/libkasten*.so


%changelog
* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Wed Aug 07 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-2
- Remove epoch
- Add obsoletion for kdesdk-okteta < 4.10.80

* Mon Aug 05 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
